## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         extension  screen-rotate
%global         srcname    screen-autorotate
%global         uuid       %{extension}@shyzus.github.io

Name:           gnome-shell-extension-%{srcname}
Version:        23
Release:        %autorelease
Summary:        Dynamic Screen rotation for GNOME Shell

License:        GPL-3.0-only
URL:            https://github.com/shyzus/gnome-shell-extension-%{srcname}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       gnome-shell >= 40
Requires:       iio-sensor-proxy
Provides:       %{extension} = %{version}-%{release}

%description
A GNOME extension to enable screen rotation regardless of touch mode.
This extension uses Mutter's D-Bus API, so it works on both X11 and Wayland.

%prep
%autosetup -n %{name}-%{version}

%build
# nothing to build

%install
# install extension files
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions
cp -r %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions

%files
%license LICENSE.md
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}

%changelog
## START: Generated by rpmautospec
* Thu Sep 05 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 23-1
- Update to v23 (rhbz#2309612)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 20 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 20-1
- Update to release 20

* Thu Mar 28 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 19-1
- New update with persistent Autorotate toggle

* Sat Mar 23 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 18-1
- Update to 18 (rhbz#2271061)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 15-1
- Update to 15 (rhbz#2250304)

* Tue Sep 12 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 14-1
- Update to 14 (rhbz#2238596)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 12-1
- Update to version 12 (rhbz#2221881)

* Mon May 08 2023 Carl George <carl@george.computer> - 10-2
- Fix minimum version to match upstream

* Fri Apr 07 2023 Luya Tshimbalanga <luya@fedoraproject.org> - 10-1
- New packaging release
## END: Generated by rpmautospec
